unit U_BaseHelp;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, System.ImageList, Vcl.ImgList, Data.DB,
  Data.Win.ADODB,U_WindowFormdesign;

type
  TfrmBaseHelp = class(TForm)
    ADOQueryBaseCmd: TADOQuery;
    ADOQueryBaseTemp: TADOQuery;
    ImageList_new32: TImageList;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    fWindowDesign:TWindowFormdesign;
  public
    { Public declarations }
  end;

var
  frmBaseHelp: TfrmBaseHelp;

implementation
uses
  U_RTFun ,U_globalVar,U_FormLayOutDesign;
{$R *.dfm}

procedure TfrmBaseHelp.FormCreate(Sender: TObject);
var
  mFontSize:integer;
begin
 //  getSystemIni();
    if gFontSize<9 then
    begin
      mFontSize := 12;
    end
    else
    begin
      mFontSize:=gFontSize ;
    end;

  self.Font.Size := gFontSize;
  if trim(gFontName)<>'' then
    self.Font.Name:=gFontName;
   fWindowDesign:=TWindowFormDeSign.Create();
end;

procedure TfrmBaseHelp.FormDestroy(Sender: TObject);
begin
   fWindowDesign.free;
end;

procedure TfrmBaseHelp.FormShow(Sender: TObject);
begin
  fWindowDesign.FormStyleInit1(self,0,ADOQueryBaseTemp,ADOQueryBaseCmd);
end;

end.
